/*
 * Prey Server Launcher
 * @author Martin "DI-MeisterM" Mller
 * Source Code Date: 18/07/2006
 * 
 * maps.java
 * This file adds maps and images to a list and the GUI.
 */

import javax.swing.ImageIcon;

public class maps 
{
	/*
	 * For adjusting the path and file extensions for the mapimages 
	 */
	private static String MAPIMAGEPATH =".\\preylauncherimages\\maps\\";
	private static String IMAGEEXT=".jpg";
	
	/*
	 * Mapnames of Prey Retail
	 */
	private String MAP0 = "dmescher";
	private String MAP1 = "dmescher2";
	private String MAP2 = "dmroadhouse";
	private String MAP3 = "dmsalvagewalk";
	private String MAP4 = "dmshuttle1";
	private String MAP5 = "dmshuttle2";
	private String MAP6 = "dmsphere";
	private String MAP7 = "dmwallwalk2";
	
	/*
	 * This method will add all mapnames to the GUI choice box
	 */
	public void maps_in_auswahl_einfuegen()
	{	
		preyserverlauncher.getMAPS_choice().add("---");
		preyserverlauncher.getMAPS_choice().add(MAP0);
		preyserverlauncher.getMAPS_choice().add(MAP1);
		preyserverlauncher.getMAPS_choice().add(MAP2);
		preyserverlauncher.getMAPS_choice().add(MAP3);
		preyserverlauncher.getMAPS_choice().add(MAP4);
		preyserverlauncher.getMAPS_choice().add(MAP5);
		preyserverlauncher.getMAPS_choice().add(MAP6);
		preyserverlauncher.getMAPS_choice().add(MAP7);
	}
	
	/*
	 * This method changes the map images in the GUI and changes the CVAR
	 */
	public int changemap(int x)
	 {
		switch(x)
		{
		 case  0: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP0+IMAGEEXT));
		 	      cvars.MAP=cvars.MAP+MAP0;
		 	      preyserverlauncher.refreshgui();
		 		  break;
		 case  1: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP1+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP1;
		          preyserverlauncher.refreshgui();
		          break;
		 case  2: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP2+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP2;	         
        		  preyserverlauncher.refreshgui();
		          break;
		 case  3: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP3+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP3;	
		          preyserverlauncher.refreshgui();
		          break;
		 case  4: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP4+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP4;	
		          preyserverlauncher.refreshgui();
		          break;
		 case  5: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP5+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP5;
		          preyserverlauncher.refreshgui();
		          break;
		 case  6: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP6+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP6;
		          preyserverlauncher.refreshgui();
		          break;
		 case  7: preyserverlauncher.getpreylogofeld().setIcon(new ImageIcon(MAPIMAGEPATH+MAP7+IMAGEEXT));
		          cvars.MAP=cvars.MAP+MAP7;
		          preyserverlauncher.refreshgui();
		          break;
		 }
		 return x;
   }
	
	/*
	 * This method defines what will happen when you choose a map in the GUI choice box.
	 * It will call changemap() to update the CVAR and images.
	 */
	public void maps_actionlistener()
	{
		preyserverlauncher.getMAPS_choice().addItemListener(new java.awt.event.ItemListener() {
			public void itemStateChanged(java.awt.event.ItemEvent e) 
			{
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP0) { changemap(0); }
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP1) { changemap(1); }
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP2) { changemap(2); }
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP3) { changemap(3); }	
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP4) { changemap(4); }
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP5) { changemap(5); }	
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP6) { changemap(6); }
				if (preyserverlauncher.getMAPS_choice().getSelectedItem()==MAP7) { changemap(7); }	
			}
		});
	}
}
